%define name	kmiditracker
%define version	0.5.12
%define release %mkrel 1

%define __libtoolize /bin/true

Name: 	 	%{name}
Summary: 	Tracker-style music program for softsynths or MIDI
Version: 	%{version}
Release: 	%{release}

Source:		http://www.monasteriomono.org/programs/kmiditracker/%{name}-%{version}.tar.bz2
URL:		http://www.monasteriomono.org/programs/kmiditracker/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick kdelibs-devel libalsa-devel

%description
KMidiTracker is a MIDI Tracker for ALSA similar to FastTracker or Buzz. It only
emulates the tracker part of these applications, since the output is only MIDI
data that can then be used by any kind of synthesizer.

%prep
%setup -q

%build
%configure2_5x --disable-rpath
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="KMIDITracker" longtitle="MIDI Tracker" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/hi32-app-kmiditracker.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/hi32-app-kmiditracker.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/hi32-app-kmiditracker.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS TODO
%{_bindir}/%name
%{_datadir}/applnk/Utilities/%name.desktop
%{_datadir}/apps/%name
%{_datadir}/doc/kde/HTML/en/%name
%{_iconsdir}/hicolor/*/apps/%name.png
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.12-1mdk
- New release 0.5.12

* Sat May 22 2004 Austin Acton <austin@mandrake.org> 0.5.5-1mdk
- initial package
